# typed: false
# frozen_string_literal: true

# This file was generated by GoReleaser. DO NOT EDIT.
class Gsh < Formula
  desc "A modern, POSIX-compatible, generative shell"
  homepage "https://github.com/atinylittleshell/gsh"
  version "0.22.1"
  license "GPL-3.0-or-later"

  on_macos do
    if Hardware::CPU.intel?
      url "https://github.com/atinylittleshell/gsh/releases/download/v0.22.1/gsh_Darwin_x86_64.tar.gz"
      sha256 "547e47600fea36126a32b9bef0e186798bc80223fc78361c987541c0971807a8"

      def install
        bin.install "gsh"
      end
    end
    if Hardware::CPU.arm?
      url "https://github.com/atinylittleshell/gsh/releases/download/v0.22.1/gsh_Darwin_arm64.tar.gz"
      sha256 "d82c757ca8e89825435044a068470333a78b4d5a66d3d33617baf6179c4566c5"

      def install
        bin.install "gsh"
      end
    end
  end

  on_linux do
    if Hardware::CPU.intel?
      if Hardware::CPU.is_64_bit?
        url "https://github.com/atinylittleshell/gsh/releases/download/v0.22.1/gsh_Linux_x86_64.tar.gz"
        sha256 "bde8d84db830241aa551838896efb12b3cf2cede17382daa80bddd9fb9474a40"

        def install
          bin.install "gsh"
        end
      end
    end
    if Hardware::CPU.arm?
      if Hardware::CPU.is_64_bit?
        url "https://github.com/atinylittleshell/gsh/releases/download/v0.22.1/gsh_Linux_arm64.tar.gz"
        sha256 "6d65a1e709e17000c89435118865b7134bec8baf3653651f4794fd1a8d0ff891"

        def install
          bin.install "gsh"
        end
      end
    end
  end
end
